<footer class="header"></footer>

<div class="container mt-5">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="form-container">
                <form [formGroup]="seminaireForm">
                    <div class="form-group">
                        <label for="titre">Titre</label>
                        <input id="titre" type="text" formControlName="titre" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="date">Date :</label>
                        <input id="date"  type="datetime-local" formControlName="date" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="intervenant">Intervenant</label>
                        <input id="intervenant" type="text" formControlName="intervenant" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="lieu">Lieu</label>
                        <input id="lieu" type="text" formControlName="lieu" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="resume">Résumé</label>
                        <textarea id="resume" formControlName="resume" class="form-control" rows="4"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="domaine">Domaine</label>
                        <select id="domaine" formControlName="domaine" class="form-control">
                            <option value="Informatique">Informatique</option>
                            <option value="Math">Math</option>
                            <option value="Physique">Physique</option>
                            <option value="Philosophie">Philosophie</option>
                        </select>
                    </div>
                    <div class="action-buttons">
                        <button type="submit" (click)="onSubmitForm()" [disabled]="seminaireForm.invalid" class="btn btn-primary">Enregistrer</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<!-- permet de voir l'évolution des champs du formulaire si on supprime le commentaire de ce code
<div *ngIf="seminairePreview$ | async as seminaire">
    <h2>{{ seminaire.titre }}</h2>
    <p class="info">Mis en ligne le {{ seminaire.date }}</p>
    <p class="info">Intervenant : {{ seminaire.intervenant }}</p>
    <p class="info">Lieu : {{ seminaire.lieu }}</p>
    <p class="resume">Résumé : {{ seminaire.resume }}</p>
    <p class="domaine">Domaine : {{ seminaire.domaine }}</p>
</div>
 -->

<footer class="footer"></footer>
<!-- c est la page create dans mon application ( le formulaire ) qui permet de creer un nouveau formulaire en utilisant la methode
addseminaire  qui se trouve dans service
 -->